Alokai

SapccApiDoClaimCustomerCouponRequest

Request parameters for doClaimCustomerCoupon operation in SapccApi. SapccApiDoClaimCustomerCouponRequest

interface SapccApiDoClaimCustomerCouponRequest {
	readonly baseSiteId: string;
	readonly couponCode: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiDoClaimCustomerCoupon
couponCodeRequiredstringCoupon code. A valid coupon code can be used to get a discount. {string} SapccApiDoClaimCustomerCoupon
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiDoClaimCustomerCoupon
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiDoClaimCustomerCoupon

On this page